cURL
curl --request POST \
--url https://ivs.idenfy.com/kyc/identifications/{scanRef}/blocklists/{blocklistSource}/ \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "<string>"
}
'import requests
url = "https://ivs.idenfy.com/kyc/identifications/{scanRef}/blocklists/{blocklistSource}/"
payload = { "reason": "<string>" }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>'})
};
fetch('https://ivs.idenfy.com/kyc/identifications/{scanRef}/blocklists/{blocklistSource}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://ivs.idenfy.com/kyc/identifications/{scanRef}/blocklists/{blocklistSource}/")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"reason\": \"<string>\"\n}")
.asString();
using RestSharp;
var options = new RestClientOptions("https://ivs.idenfy.com/kyc/identifications/{scanRef}/blocklists/{blocklistSource}/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Basic <encoded-value>");
request.AddJsonBody("{\n \"reason\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://ivs.idenfy.com/kyc/identifications/{scanRef}/blocklists/{blocklistSource}/"
payload := strings.NewReader("{\n \"reason\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")
val body = RequestBody.create(mediaType, "{\n \"reason\": \"<string>\"\n}")
val request = Request.Builder()
.url("https://ivs.idenfy.com/kyc/identifications/{scanRef}/blocklists/{blocklistSource}/")
.post(body)
.addHeader("Authorization", "Basic <encoded-value>")
.addHeader("Content-Type", "application/json")
.build()
val response = client.newCall(request).execute()import Foundation
let parameters = ["reason": "<string>"] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://ivs.idenfy.com/kyc/identifications/{scanRef}/blocklists/{blocklistSource}/")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self)){
"id": "<string>",
"created": "2023-11-07T05:31:56Z",
"faceImageUrl": "<string>",
"reason": "<string>"
}Post kycidentifications blocklists
POST
/
kyc
/
identifications
/
{scanRef}
/
blocklists
/
{blocklistSource}
/
cURL
Authorizations
The request must contain basic auth headers where username is API key and password is API secret.
In order for you to start using our API you will need an API key and API secret.
Both can be retrieved by contacting iDenfy's support or iDenfy's sales team.
Path Parameters
Available options:
DOCUMENT, DOCUMENT_INFO, SELFIE Body
application/json
Related topics
Delete kycidentifications blocklists Blocklist SetupCustom Rule BlocklistAML and Fraud PreventionPost apiv2poa checksWas this page helpful?
⌘I